%define oname	ColorCode

Name:		colorcode
Version:	0.8.5
Release:	%mkrel 6
Summary:	Advanced MasterMind clone
Source0:	http://colorcode.laebisch.com/download/%{oname}-%{version}.tar.gz
Source1:	%{name}.6
URL:		http://colorcode.laebisch.com/
License:	GPLv2+
Group:		Games/Puzzles

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)


%description
ColorCode is an advanced MasterMind code-breaking game clone. The program 
accepts setting the number of slots (from 2 to 5), the number of colors 
(from 2 to 10) and setting if colors might be repeated in the secret code 
(doubles allowed or not). The game has 5 built-in levels, from 
level 1 (beginner: 2 slots and 2 colors, with doubles allowed) 
to level 5 (hard: 5 slots and 10 colors, with doubles allowed). 
ColorCode can make guesses in place of the user.


%prep
%setup -q -n %{oname}-%{version}

%build
%qmake_qt5
%make_build

%install
install -m 755 %{name} -D %{buildroot}%{_gamesbindir}/%{name}
install -m 644 %{SOURCE1} -D %{buildroot}%{_mandir}/man6/%{name}.6

for size in 16 32 64; do
  install -D -m 644 img/cc${size}.png %{buildroot}/%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=ColorCode
Comment=Advanced clone of the MasterMind code-breaking game
GenericName=Advanced MasterMind clone
GenericName[fr]=Clone avancé du jeu MasterMind
GenericName[nb_NO]=Avansert MasterMind-klone
GenericName[nn]=Avansert MasterMind-klone
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF


%files
%doc changelog
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.8.5-6.mga9
+ Revision: 1841999
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.8.5-5.mga8
+ Revision: 1658267
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.8.5-4.mga8
+ Revision: 1524420
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 0.8.5-3.mga7
+ Revision: 1381457
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8.5-2.mga7
+ Revision: 1296669
- Mageia 7 Mass Rebuild

* Tue Jan 12 2016 akien <akien> 0.8.5-1.mga6
+ Revision: 922134
- Version 0.8.5
- Build with Qt 5

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-6.mga5
+ Revision: 740512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 678478
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.2-4.mga4
+ Revision: 503430
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-3.mga3
+ Revision: 348008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 25 2012 wally <wally> 0.7.2-2.mga3
+ Revision: 274259
- build with qmake_qt4 macro

* Sun Jul 22 2012 solbu <solbu> 0.7.2-1.mga3
+ Revision: 273394
- Initial Mageia package
- Add manpage, from Debian

